      SUBROUTINE SIGINI(SIGMA,COORDS,NTENS,NCRDS,NOEL,NPT,LAYER,LREBAR,NAMES)
C     _____________________________________________________________________________
      INCLUDE 'ABA_PARAM.INC'
      DIMENSION SIGMA(NTENS),COORDS(NCRDS)
      CHARACTER NAMES(2)*80
      REAL fy, b, L, tf, tw, h, h1, a, cp, faktor, cs, frf_plus, frf_minus, frw_plus, frw_minus, hw, flansch_res
      Parameter(zero=0.0d0, one=1.0d0)
C     _____________________________________________________________________________
C     
C     Materialdaten
C
      fy=235                          !Streckgrenze des Stahls in MPa
      frf_plus=230                    !Idealisierte Zugeigenspannungen Flansch
      frf_minus=-100                 !Idealisierte Druckeigenspannungen Flansch
      frw_plus=460                    !Idealisierte Zugeigenspannungen Steg
      frw_minus=-50                   !Idealisierte Druckeigenspannungen Steg
      faktor=0.25                     !Skalierungsfaktor fr Bereich am Flansch, siehe Dokument P1035 - Erhhung der Tragfhigkeit geschweiter I-Trger aus hochfestem Baustahl durch verbesserte Anstze, S.31 oben
C
C
C
C
C     Ausgehend von der Annahme, dass der Ursprung im Querschnittschwerpunkt am Anfang des Trgers liegt. 
C      _____________________________________________________________________________
C     Querschnittsangaben des (doppelsymmetrischen) Profils
C
      L=1000                                          !Lnge des Trgers in 1-Richtung
      b=46                                            !Breite des Trgers in 2-Richtung
      h=80                                            !Hhe des Profils in 3-Richtung
      tf=5.2                                          !Dicke der Flansche
      tw=3.8                                          !Dicke des Steges
      a=5                                             !Schweinahtdicke
C     _____________________________________________________________________________
C
      cp=tw+(2*a)**(0.5)                              !Definition aus anderer Quelle: cp=tw+2*(2**(0.5))*a                !Bereich mit Druckspannungen ber dem Steg
      h1=h/2-tf                                       !Hhe Profilmitte bis Unterkante Flansch oben
      hw=h-2*tf                                       !Hhe des Steges
      flansch_res=tf*(cp*frf_plus+(b-cp)*frf_minus)                       !Resultierende Kraft pro Flansch
      cs=(-2*flansch_res-hw*tw*frw_minus)/(tw*(frw_plus-frw_minus))       !cs entspricht der Lnge des Druckbereiches im Steg, sodass das Gleichgewicht aus den Spannungen frw_plus und frw_minus eingehalten ist
C     _____________________________________________________________________________
C     
C     Hier werden die anderen Variablen mit Werten belegt
      SIGMA(1)=zero
      SIGMA(2)=zero
C      SIGMA(3)=NOEL                  !SIGMA(3) wird in if-Schleifen definiert.
      SIGMA(4)=zero
      SIGMA(5)=zero
      SIGMA(6)=zero
C     _____________________________________________________________________________
C
      if(COORDS(1).ge.0 .and. COORDS(1).le.l) then                                                                                    !if-Bedingung ber die Trgerlnge
          if (abs(COORDS(3)).le.h/2 .and. abs(COORDS(3)).ge.h1 .and. abs(COORDS(2)).le.cp/2) then                                     !Flansch Zugbereich
          SIGMA(3)=frf_plus
C
          else if (abs(COORDS(3)).le.h/2 .and. abs(COORDS(3)).ge.h1 .and. abs(COORDS(2)).gt.cp/2) then                                !Flansch Druckbereich
          SIGMA(3)=frf_minus
C
          else if (abs(COORDS(3)).le.cs/2 .and. abs(COORDS(2)).le.tw/2) then                                                          !Steg Druckbereich
          SIGMA(3)=frw_minus
C
          else if (abs(COORDS(3)).gt.cs/2 .and. abs(COORDS(3)).lt.h1 .and. abs(COORDS(2)).le.tw/2) then                               !Steg Zugbereich
          SIGMA(3)=frw_plus
          end if
      end if
C
      return
C
      end
